# encoding: utf-8

lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'napkin/version'

Gem::Specification.new do |spec|
  spec.name         = 'napkin'
  spec.version      = Napkin::VERSION.to_s.gsub('-', '.')
  spec.platform     = Gem::Platform::RUBY
  spec.date         = '2014-07-28'
  spec.summary      = 'Jenkins build setup and runner'
  spec.description  = 'Simplifies the setup and preparation of job runs'
  spec.authors      = ['Aaron Daniel']
  spec.email        = 'ops@liftopia.com'
  spec.homepage     = 'https://github.com/liftopia/napkin'
  spec.license      = 'MIT'
  spec.files        = `git ls-files`.split("\n")
  spec.executables  = spec.files.grep(/^bin\//) { |f| File.basename(f) }
  spec.test_files   = spec.files.grep(/^(test|spec|features)\//)
  spec.require_path = 'lib'

  {
    'pry'     => '~> 0.10.0',
    'rubocop' => '~> 0.24.1'
  }.each_pair do |dep, ver|
    spec.add_development_dependency(dep, ver)
  end

  {
    'aws-sdk'            => '>= 2.0',
    'httparty'           => '>= 0.13.3',
    'jenkins_api_client' => '~> 1.3.0',
    'octokit'            => '~> 3.0',
    'semantic'           => '~> 1.3.0',
    'sshkit'             => '>= 1.7.1',
    'thor'               => '~> 0.19.1'
  }.each_pair do |dep, ver|
    spec.add_dependency(dep, ver)
  end
end
